-- Support the collection of seeds

CREATE TABLE collected_seeds (
    -- Aliases the ROWID and should therefore self-generate.
    collected_seed_id INTEGER NOT NULL PRIMARY KEY AUTOINCREMENT,

    -- sec since epoch of collection
    collected_ts INTEGER NOT NULL,

    -- the URL that was collected
    url TEXT NOT NULL,

    -- Comma-separated, for ease, as we don't need to do much but pull them out anyway.
    tags TEXT NOT NULL,

    -- Extra tags (unsanitised)
    extra_tags TEXT NOT NULL,

    -- Any remarks that were entered
    remarks_private TEXT NOT NULL
);
