-- Support post-processing the seeds with a manual sorting action

CREATE TABLE sorted_seeds (
    collected_seed_id INTEGER NOT NULL PRIMARY KEY REFERENCES collected_seeds(collected_seed_id),

    -- See qp-seedcoll-sort for definitions.
    decision INTEGER NOT NULL,

    -- Specified tags, as a diff of what was there.
    -- + means 'add', - means 'remove', '-*' means 'remove all specified'.
    -- e.g. '-*+cat' or '-manual+blog'.
    tag_diff TEXT NOT NULL,

    -- Any comment that will be published as a line comment preceding this entry
    comment_published TEXT NOT NULL
)
