use quickpeep_index::backend::Backend;
use std::sync::Arc;

pub mod icon_retrieval;
pub mod metadata;
pub mod searcher;
pub mod seed_collector;

#[derive(Clone)]
pub struct IndexAccess {
    pub backend: Arc<Box<dyn Backend>>,
}
